Issue 10969

Title
Wrong substitution on SEPA mandate sequence
Priority
bug
Status
resolved
Nosy list
ced, pokoli, reviewbot, roundup-bot
Assigned to
pokoli
Keywords
review

Created on 2021-11-22.10:38:46 by pokoli, last changed 1 week ago by roundup-bot.

Messages

New changeset a01e26e94798 by Sergi Almacellas Abellana in branch '6.2':
Add missing string format in mandate title translations
https://hg.tryton.org/modules/account_payment_sepa/rev/a01e26e94798
New changeset ad3aff9ac99c by Sergi Almacellas Abellana in branch 'default':
Add missing string format in mandate title translations
https://hg.tryton.org/tryton-env/rev/ad3aff9ac99c
New changeset b898bc4fc764 by Sergi Almacellas Abellana in branch 'default':
Add missing string format in mandate title translations
https://hg.tryton.org/modules/account_payment_sepa/rev/b898bc4fc764
Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2021-11-22.11:02:59

https://translate.tryton.org/translate/tryton/account_payment_sepa/es/?checksum=82123c1794947da3 is not the same as in the review.

Fixed, thanks for the review ;)

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-11-22.10:59:07
Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2021-11-22.10:55:04
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-11-22.10:53:09

I guess it is because of missing the python-format flag (see issue10970).
Also the weblate version must be fixed.

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-11-22.10:47:20

It is strange I can not find them in https://translate.tryton.org/checks/python_format/tryton/.

Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2021-11-22.10:38:46

The account_payment_sepa mandate title translation misses the string placeholder on the spanish and catalan translations so the report title is not correctly rendered.

While it can be directly fixed on the translations, I think we should backport it to 6.2 series to have proper translations for the ones that already did not update.

History
Date User Action Args
2021-11-29 23:37:17roundup-botsetkeyword: - backport
messages: + msg71921
2021-11-24 12:17:52roundup-botsetmessages: + msg71825
2021-11-24 12:17:47roundup-botsetmessages: + msg71824
nosy: + roundup-bot
status: testing -> resolved
2021-11-22 11:02:59pokolisetmessages: + msg71765
2021-11-22 10:59:07cedsetmessages: + msg71764
2021-11-22 10:56:42reviewbotsetmessages: + msg71762
nosy: + reviewbot
2021-11-22 10:55:04pokolisetmessages: + msg71761
2021-11-22 10:53:09cedsetmessages: + msg71760
2021-11-22 10:47:20cedsetmessages: + msg71758
nosy: + ced
2021-11-22 10:39:57pokolisetkeyword: + review
reviews: 367851002
status: in-progress -> testing

Showing 10 items. Show all history (warning: this could be VERY long)